function dataout=change_para_meth(methode, data)
%change_para_meth Si on change de méthode, il faut changer l'affichage des parametres de la
% méthode
%% ======================================================


% Enlever de data les parametres des autres methodes
for meth=1:length(data.Simul.nomparamD)
    if meth ~= methode
        for i=1: length(data.Simul.nomparamD{meth})
            if isfield(data, data.Simul.nomparamD{meth}{i})
                data= rmfield(data, data.Simul.nomparamD{meth}{i});
            end
        end
    end
end % fin meth

for i=1: length(data.Simul.nomparamD{methode})
    tag = [data.Simul.nomparamD{methode}{i}, '_tag'];
    if isfield(data, tag)
        data= rmfield(data, tag);
    end
end
% Nettoyer les panels sinon les LHS_tag, etc.. sont des vecteurs
% s'ils préexistaient
fils=get(data.groupebuttonmeth_tag,'children');
if iscell(fils)
for i=1:length(fils)
	delete(fils{i});
end
 else 
   delete(fils);
end


[ ~,  bgcolor]=taille_cadre(data.Simul, methode);


dataout=init_strategie_meth(methode,data,  bgcolor);
dataout=catstruct(data, dataout);
% Nettoyer les données d'entrée
dataout.releveobs=[];
lesvar = { 'nbparticules', 'graineAlea', 'Fnoyau', 'Fpert', 'bruitetat', 'iclevel'};
for i=1:length(lesvar)
    tag=[lesvar{i}, '_tag'];
    if isfield(dataout, tag)
        dataout=rmfield(dataout, tag);
    end
end


end % fin change_para_meth
